Get a list of Proxies
GET /api
Also reachable at /api, /api.
Lists all of the Proxies in the supplied Octopus Deploy Space. The results will be sorted alphabetically by name.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource.
Query Parameters
idsarray of stringpartialNamestring
A partial or complete name to search on. This will perform a “contains” style match against the supplied name or name-fragment.skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — The requested list of Proxies, sorted alphabetically by name.
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectHoststringIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringPasswordsensitive valuePortintegerProxyTypestringSpaceIdstringUsernamestring
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"Host": "string",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Password": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Port": 0,
"ProxyType": "string",
"SpaceId": "string",
"Username": "string"
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Create a Proxy in the specified Space
POST /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource.
Request Body
Hoststring (required)
Minimum length 1.Namestring (required)
Minimum length 1.Passwordsensitive valueHasValuebooleanHintstringNewValuestring
Portinteger (required)
Minimum0. Maximum65535.ProxyTypestring
The type of proxy. Currently only HTTP is supported.SpaceIdstring (required)
The ID of the space containing the resource.Usernamestring
Response
201 — Created
HoststringIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringPasswordsensitive valueHasValuebooleanHintstringNewValuestring
PortintegerProxyTypestringSpaceIdstringUsernamestring
Example Request
{
"Host": "string",
"Name": "string",
"Password": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Port": 0,
"ProxyType": "string",
"SpaceId": "string",
"Username": "string"
}Example Response
{
"Host": "string",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Password": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Port": 0,
"ProxyType": "string",
"SpaceId": "string",
"Username": "string"
}Get a list of Proxies
GET /api
Also reachable at /api, /api.
Lists the name and ID of all of the Proxies in the supplied Octopus Deploy Space. The results will be sorted by name.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource.
Response
200 — The name and ID of all Proxies in the supplied Octopus Deploy Space, sorted by name.
HoststringIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringPasswordsensitive valueHasValuebooleanHintstringNewValuestring
PortintegerProxyTypestringSpaceIdstringUsernamestring
Example Response
[
{
"Host": "string",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Password": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Port": 0,
"ProxyType": "string",
"SpaceId": "string",
"Username": "string"
}
]Get a Proxy by ID
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Proxy to load.spaceIdstring (required)
The ID of the space containing the resource.
Response
200 — The requested Proxy
HoststringIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringPasswordsensitive valueHasValuebooleanHintstringNewValuestring
PortintegerProxyTypestringSpaceIdstringUsernamestring
Example Response
{
"Host": "string",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Password": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Port": 0,
"ProxyType": "string",
"SpaceId": "string",
"Username": "string"
}Modify the specified Proxy in the specified Space
PUT /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Proxy to modify.spaceIdstring (required)
The ID of the Space containing the Proxy to modify.
Request Body
Hoststring (required)
Minimum length 1.Idstring (required)
ID of the Proxy to modify.Namestring (required)
Minimum length 1.Passwordsensitive valueHasValuebooleanHintstringNewValuestring
Portinteger (required)
Minimum0. Maximum65535.ProxyTypestring
The type of proxy. Currently only HTTP is supported.SpaceIdstring (required)
The ID of the Space containing the Proxy to modify.Usernamestring
Response
200 — The modified Proxy
HoststringIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringPasswordsensitive valueHasValuebooleanHintstringNewValuestring
PortintegerProxyTypestringSpaceIdstringUsernamestring
Example Request
{
"Host": "string",
"Id": "string",
"Name": "string",
"Password": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Port": 0,
"ProxyType": "string",
"SpaceId": "string",
"Username": "string"
}Example Response
{
"Host": "string",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Password": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Port": 0,
"ProxyType": "string",
"SpaceId": "string",
"Username": "string"
}Delete an existing Proxy by Id
DELETE /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Proxy to delete.spaceIdstring (required)
The ID of the space containing the resource.
Response
200 — Success